KubeOne(1)

NAME
kubeone-local - Reconcile the local one-node-all-in-one cluster

SYNOPSIS
kubeone local [flags]

DESCRIPTION
Initialize the all-in-one node cluster on a local machine.

OPTIONS
--apiendpoint=""
    kube-apiserver endpoint to init, default to autodetect

-y, --auto-approve[=false]
    auto approve plan

-b, --backup=""
    path to where the PKI backup .tar.gz file should be placed (default: location of cluster config file)

--force-install[=false]
    use force to install new binary versions (!dangerous!)

--force-upgrade[=false]
    force start upgrade process

-h, --help[=false]
    help for local

--kubernetes-version="v1.34.3"
    kubernetes version to install when there is no manifest

--no-init[=false]
    don't initialize the cluster (only install binaries)

OPTIONS INHERITED FROM PARENT COMMANDS
-c, --credentials=""
    File to source credentials and secrets from

-d, --debug[=false]
    debug output with stacktrace

-l, --log-format="text"
    format for logging

-m, --manifest="./kubeone.yaml"
    Path to the KubeOne config

-t, --tfjson=""
    Source for terraform output in JSON - to read from stdin. If path is a file, contents will be used. If path is a dictionary, terraform output -json is executed in this path

-v, --verbose[=false]
    verbose output

EXAMPLE
    kubeone local

SEE ALSO
kubeone(1)

HISTORY
2-Feb-2026 Auto generated by spf13/cobra